<?php require "../../common/html.php"; ?>

<p>
	Vous avez accès à un espace <abbr title="SSH File Transfert Protocol">SFTP</abbr>. Vous pouvez téléverser vos sites dans <code>/&lt;nom du site&gt;/*</code>. Indiquez les données ci-dessous à votre client <abbr title="SSH File Transfert Protocol">SFTP</abbr> pour y accéder.
</p>

<section>

	<details>
		<summary>Clé publique</summary>
		<code><?= file_get_contents(CONF['ht']['sftp_pub']) ?></code>
	</details>

	<details>
		<summary>Empreinte</summary>
		<code><?= file_get_contents(CONF['ht']['sftp_fp']) ?></code>
	</details>

	<details>
		<summary>Art ASCII</summary>
		<pre><?= file_get_contents(CONF['ht']['sftp_asciiart']) ?></pre>
	</details>

</section>

<a href="sftp://<?= isset($_SESSION['username']) ? $_SESSION['username'] : '&lt;username&gt;'; ?>@<?= CONF['ht']['sftp_domain'] ?>:<?= CONF['ht']['public_sftp_port'] ?>/">sftp://<?= isset($_SESSION['username']) ? $_SESSION['username'] : '&lt;username&gt;'; ?>@<?= CONF['ht']['sftp_domain'] ?>:<?= CONF['ht']['public_sftp_port'] ?>/</a>

<dl>
	<dt>Serveur</dt>
	<dd>
		<code><?= CONF['ht']['sftp_domain'] ?></code>
	</dd>

	<dt>Port</dt>
	<dd>
		<code><?= CONF['ht']['public_sftp_port'] ?></code><?php if (CONF['ht']['public_sftp_port'] === 22) echo " (par défaut)"; ?>
	</dd>

	<dt>Dossier</dt>
	<dd>
		<code>/</code>
	</dd>

	<dt>Utilisataire</dt>
	<dd>
		<code><?= isset($_SESSION['username']) ? $_SESSION['username'] : '&lt;username&gt;'; ?></code>
	</dd>

	<dt>Clé de passe</dt>
	<dd>
		celle que vous avez définit lors de l'activation de l'accès <abbr title="SSH File Transfert Protocol">SFTP</abbr>
	</dd>
</dl>

<dl>
	<dt><a href="add-http-onion">Ajouter un accès HTTP par Onion</a></dt>
	<dd>
		Ajouter un accès HTTP par service Onion sur un sous-dossier de l'espace SFTP
	</dd>
	<dt><a href="add-http-dns">Ajouter un accès HTTP par DNS+TLS</a></dt>
	<dd>
		Ajouter un accès HTTP par DNS et TLS sur un sous-dossier de l'espace SFTP
	</dd>
	<dt><a href="del-http-onion">Retirer un accès HTTP par Onion</a></dt>
	<dd>
		Retirer un accès HTTP par service Onion d'un sous-dossier de l'espace SFTP
	</dd>
	<dt><a href="del-http-dns">Retirer un accès HTTP par DNS+TLS</a></dt>
	<dd>
		Retirer un accès HTTP par DNS et TLS d'un sous-dossier de l'espace SFTP
	</dd>
	<dt><a href="le">Let's Encrypt</a></dt>
	<dd>
		Installer un certificat Let's Encrypt sur un domaine
	</dd>
</dl>

<?php closeHTML(); ?>
